org.richfaces.model

## Interface UploadedFile

- All Known Implementing Classes:
    BaseUploadedFile, UploadedFile25, UploadedFile30

      public interface UploadedFile

  Author:
    Konstantin Mishin

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete()`
    `String` | `getContentType()`
    `byte[]` | `getData()`
    `String` | `getFileExtension()` Returns the files extension - the substring after last period of this file's name.
    `String` | `getHeader(String headerName)`
    `Collection<String>` | `getHeaderNames()`
    `Collection<String>` | `getHeaders(String headerName)`
    `InputStream` | `getInputStream()`
    `String` | `getName()`
    `String` | `getParameterName()`
    `long` | `getSize()`
    `void` | `write(String fileName)`

- - ### Method Detail

    - #### getContentType

          String getContentType()

    - #### getData

          byte[] getData()
                  throws FileUploadException

      Throws:
        `FileUploadException`

    - #### getInputStream

          InputStream getInputStream()
                              throws IOException

      Throws:
        `IOException`

    - #### getName

          String getName()

    - #### getSize

          long getSize()

    - #### delete

          void delete()
               throws IOException

      Throws:
        `IOException`

    - #### write

          void write(String fileName)
              throws IOException

      Throws:
        `IOException`

    - #### getHeader

          String getHeader(String headerName)

    - #### getHeaderNames

          Collection<String> getHeaderNames()

    - #### getHeaders

          Collection<String> getHeaders(String headerName)

    - #### getParameterName

          String getParameterName()

    - #### getFileExtension

          String getFileExtension()

      Returns the files extension - the substring after last period of this file's name. If there is no period in file name, empty string is returned instead.

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.